> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sobot.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询未被使用的分机帐号

> 查询未被使用的分机帐号



## OpenAPI

````yaml api-reference/openapis/voice-openapi.json post /exts/idle/search
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://sg.sobot.io
security:
  - bearerAuth: []
paths:
  /exts/idle/search:
    post:
      tags: []
      summary: 查询未被使用的分机帐号
      description: 查询未被使用的分机帐号
      parameters:
        - name: companyId
          in: path
          description: 公司ID
          required: true
          schema:
            type: string
        - name: companyId
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: operatorUserId
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: tempId
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: language
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: timezone
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: timezoneid
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: authorization
          in: header
          description: ''
          example: '{{authorization}}'
          schema:
            type: string
            default: '{{authorization}}'
      requestBody:
        content:
          application/json:
            schema:
              $ref: 5d8c0776-ee1c-4575-ba87-9b9926f221c0
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: cb48e6f6-3457-493c-a9cb-a33d31b18d71
              examples:
                '1':
                  summary: 成功示例
                  value:
                    apiVersion: ''
                    status: ''
                    code: 0
                    message: ''
                    reason: ''
                    kind: ''
                    metaData:
                      creatorId: ''
                      creationTime: 0
                      updateUserId: ''
                      updatedTime: 0
                    data:
                      creatorId: ''
                      creationTime: 0
                      updateUserId: ''
                      updatedTime: 0
                      pageSize: 0
                      currPage: 0
                      orderByName: ''
                      orderByASC: false
                      partition: false
                      enabled: 0
                      extensions:
                        '': null
                      companyId: ''
                      id: ''
                      agentID: ''
                      agentName: ''
                      agentNick: ''
                      agentEmail: ''
                      phone: ''
                      currentPhoneType: ''
                      telephone: ''
                      qq: ''
                      remarks: ''
                      depart: ''
                      departId: ''
                      role: ''
                      roleId: ''
                      agentStatus: 0
                      loginStatus: 0
                      callStatus: 0
                      workStatus: 0
                      contact: ''
                      wrapUpTime: 0
                      companyWrapUpTime: 0
                      wrapUpType: 0
                      lastLoginTime: 0
                      queueName: ''
                      queueUuid: ''
                      queueID: ''
                      extId: ''
                      ext: ''
                      extType: ''
                      loginStatusList: ''
                      timeZoneId: ''
                      timeZone: ''
                      phoneTypes:
                        - phoneType: ''
                          isDefault: false
                          defaultPhoneType: false
                      arrayDepartIds:
                        - ''
                      keyWord: ''
                    retMsg: ''
                    retCode: ''
          headers: {}
      deprecated: false
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````